Bug 695075 - smolt requires /sys/devices/virtual/dmi/id/sys_vendor file which is missing on ppc
smolt requires /sys/devices/virtual/dmi/id/sys_vendor file which is missing o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
16
ppc Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-10 07:21 EDT by Peter Lemenkov
Modified: 2013-02-26 10:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-26 10:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Lemenkov 2011-04-10 07:21:52 EDT
The entire section "/sys/devices/virtual/dmi" is missing on ppc.

[root@sulaco ~]# LANG=C smoltSendProfile -p
Traceback (most recent call last):
  File "/usr/bin/smoltSendProfile", line 152, in <module>
    profile = smolt.get_profile()
  File "/usr/share/smolt/client/smolt.py", line 1415, in get_profile
    return Hardware()
  File "/usr/share/smolt/client/smolt.py", line 1004, in Hardware
    _hardware_instance = _Hardware()
  File "/usr/share/smolt/client/smolt.py", line 591, in __init__
    self.host = Host()
  File "/usr/share/smolt/client/smolt.py", line 306, in __init__
    self.systemVendor = cat('/sys/devices/virtual/dmi/id/sys_vendor')[0].strip()
  File "/usr/share/smolt/client/devicelist.py", line 76, in cat
    fd = open(file, 'r')
IOError: [Errno 2] No such file or directory: '/sys/devices/virtual/dmi/id/sys_vendor'
[root@sulaco ~]#


[root@sulaco ~]# LANG=C ls -l /sys/devices/virtual/
total 0
drwxr-xr-x.  3 root root 0 Apr 10 13:41 adb
drwxr-xr-x. 30 root root 0 Apr 10 13:41 bdi
drwxr-xr-x. 26 root root 0 Apr 10 13:41 block
drwxr-xr-x.  3 root root 0 Apr 10 13:42 drm
drwxr-xr-x.  3 root root 0 Apr 10 13:41 graphics
drwxr-xr-x.  4 root root 0 Apr 10 13:41 input
drwxr-xr-x. 10 root root 0 Apr 10 13:41 mem
drwxr-xr-x. 14 root root 0 Apr 10 13:41 misc
drwxr-xr-x.  3 root root 0 Apr 10 13:41 net
drwxr-xr-x.  3 root root 0 Apr 10 13:41 raw
drwxr-xr-x.  4 root root 0 Apr 10 13:41 sound
drwxr-xr-x. 71 root root 0 Apr 10 13:41 tty
drwxr-xr-x.  3 root root 0 Apr 10 13:41 usbmon
drwxr-xr-x. 18 root root 0 Apr 10 13:41 vc
drwxr-xr-x.  4 root root 0 Apr 10 13:41 vtconsole
[root@sulaco ~]#
Comment 1 Mads Kiilerich 2011-07-26 09:09:26 EDT
dmi is also missing on EFI systems - which I guess is even more important to support than ppc.
Comment 2 Mads Kiilerich 2011-08-12 14:04:02 EDT
Patch proposed on bug 727518
Comment 3 Karsten Hopp 2013-02-07 10:21:04 EST
I think this is a F16 bug, F18 or rawhide don't include smolt anymore
Comment 4 Fedora End Of Life 2013-02-26 10:12:02 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.